import { Socket } from "socket.io-client";
import { ClientEvent } from "./ClientEvent";

export type CreateLobbyEvent = {
  userName: string;
};

export function handleCreateLobby(
  socket: Socket,
  payload: CreateLobbyEvent,
): void {
  socket.emit(ClientEvent.CREATE_LOBBY, payload);
}
